
From: Deepak Saxena <dsaxena@plexity.net>

From: Deepak Saxena <dsaxena@plexity.net>
Added a new pci= command line option specific to ARM systems in 
-rc2 and it should be added to kernel-parameters.txt.

Signed-off-by: Deepak Saxena <dsaxena@plexity.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/Documentation/kernel-parameters.txt |    7 +++++++
 1 files changed, 7 insertions(+)

diff -puN Documentation/kernel-parameters.txt~document-arm-pci=firmware-option Documentation/kernel-parameters.txt
--- 25/Documentation/kernel-parameters.txt~document-arm-pci=firmware-option	Tue Sep 14 18:23:39 2004
+++ 25-akpm/Documentation/kernel-parameters.txt	Tue Sep 14 18:23:39 2004
@@ -916,6 +916,13 @@ running once the system is up.
 					so this option is a temporary workaround
 					for broken drivers that don't call it.
 
+		firmware		[ARM] Do not re-enumerate the bus but
+					instead just use the configuration
+					from the bootloader. This is currently
+					used on IXP2000 systems where the
+					bus has to be configured a certain way
+					for adjunct CPUs.
+
 	pcmv=		[HW,PCMCIA] BadgePAD 4
 
 	pd.		[PARIDE]
_
